/******************************************************************************
 *   neighfile.h                                                              *
 *                                                                            *
 *   SISSI0.93 (Prerelease Version)                                           *
 *   SImulating Site-Specific Interactions along phylogenetic trees           *
 *                                                                            *
 *   Copyright (C) 2004-2005 by Tanja Gesell, Arndt von Haeseler              *
 *   sissi@cs.uni-duesseldorf.de                                              *
 *                                                                            *
 *   All parts of the source code except where indicated are distributed      *
 *	 under the GNU public licence.                                            *
 *	 See http://www.opensource.org for details.                               *
 *                                                                            *
 *   This program is distributed in the hope that it will be useful,          *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *   GNU General Public License for more details.                             *
 *                                                                            *
 *   Any feedback is very welcome!              sissi@cs.uni-duesseldorf.de   *
 *****************************************************************************/





#ifndef _NEIGHFILE_H_
#define _NEIGHFILE_H_

#include "neigh.h"

 

extern int seqlen;
extern int verboseNeighborNei;
extern Nseq_t Nseq;
extern double minimumvalue;
extern int ctcountfreq;

 /*prototyps*/
 void   readneighnorm(FILE *fv, char *neighborFileName);      /*nn option */
 void   readneighcat(FILE *fv, char *neighborFileName) ;      /*nc read categories*/
 int    readctfile(FILE *ct_fv, char *ctFileName);            /*ct file: see RNase P database*/  
/* double   **readneighPvalues(FILE *neighbor_fv, char *neighborFileName); */ /*Increments: different P-values */
#endif 


